<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pers_rollenundrechte" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="756" leftMargin="56" rightMargin="30" topMargin="20" bottomMargin="20" uuid="cbce3038-b136-48ef-b308-1e7f90a46e62">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="16"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_SUBREPORT_BENUTZERMANDANTSYSTEMROLLE" class="java.lang.Object" isForPrompting="false"/>
	<parameter name="P_SUBREPORTCONNECTION" class="java.sql.Connection" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_SUBDIRECTORY" class="java.lang.String"/>
	<parameter name="P_MODUL" class="java.lang.String"/>
	<parameter name="MANDANT_C_NR" class="java.lang.String">
		<parameterDescription><![CDATA[Der aktuelle Mandant]]></parameterDescription>
	</parameter>
	<field name="SubreportRollen" class="java.lang.Object"/>
	<field name="Name" class="java.lang.String"/>
	<field name="Kommentar" class="java.lang.String"/>
	<field name="Art" class="java.lang.String"/>
	<field name="Mandant" class="java.lang.String"/>
	<variable name="Zebra" class="java.math.BigDecimal" resetType="Page">
		<variableExpression><![CDATA[$V{Zebra}.negate()]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<pageHeader>
		<band height="145" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Transparent" x="0" y="0" width="433" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="54f027b3-b85d-4134-81fd-6f86a4820cc3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="690" y="0" width="50" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="e7f75576-dfaf-43f2-ba08-bb03f03d2bd1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="740" y="0" width="15" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="c1fce9db-e6b8-45e3-b756-ebe636652bd3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Rollen und Rechte" mode="Transparent" x="0" y="12" width="233" height="22" forecolor="#000000" backcolor="#FFFFFF" uuid="d57bc415-9b90-4084-bc60-a8ea24094586"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="18" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Rollen und Rechte]]></text>
			</staticText>
			<staticText>
				<reportElement key="Art" mode="Transparent" x="0" y="134" width="80" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="228710c9-19ac-480f-ae7b-7670ed0793e0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Art]]></text>
			</staticText>
			<staticText>
				<reportElement key="Name" mode="Transparent" x="80" y="134" width="290" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="ce457412-21e3-44ee-b303-7f7ad6857ed4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Name]]></text>
			</staticText>
			<staticText>
				<reportElement key="Systemrolle" mode="Transparent" x="370" y="34" width="10" height="110" forecolor="#000000" backcolor="#FFFFFF" uuid="d488349b-338c-49d2-a51a-6c86f3cfcb30"/>
				<box bottomPadding="2" rightPadding="0">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="Left">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Systemrolle]]></text>
			</staticText>
			<subreport isUsingCache="true">
				<reportElement key="Rechte_Subreport_Header" positionType="Float" mode="Transparent" x="380" y="34" width="376" height="110" isRemoveLineWhenBlank="true" uuid="ec37d6b4-5de5-4fb8-8a22-67d6fe68069b"/>
				<dataSourceExpression><![CDATA[$F{SubreportRollen}]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File(com.lp.util.HelperReport.getSubreportPath($P{P_MODUL}, "pers_rollenundrechte_header", $P{MANDANT_C_NR},  $P{REPORT_LOCALE}, $P{P_SUBDIRECTORY}) ).toURL()]]></subreportExpression>
			</subreport>
			<line>
				<reportElement key="line-1" mode="Opaque" x="0" y="144" width="756" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="1b19e863-6b29-40f8-aaf4-85d27fda8e58"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<rectangle>
				<reportElement key="rectangle-1" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="756" height="10" forecolor="#E6E6E6" backcolor="#E6E6E6" uuid="71c40586-a96e-4cce-9487-11523b7e94e2">
					<printWhenExpression><![CDATA[new Boolean ($V{Zebra}.intValue() == 1)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Art" mode="Transparent" x="0" y="0" width="80" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0a12bbc5-01dd-4f2e-9aed-d3550d933bc7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Name des Rechts" mode="Transparent" x="80" y="0" width="290" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="29e28726-60dd-47d3-bb32-dcd183682095"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Name}]]></textFieldExpression>
			</textField>
			<subreport isUsingCache="true">
				<reportElement key="Rechte_Subreport" positionType="Float" x="380" y="0" width="376" height="10" isRemoveLineWhenBlank="true" uuid="ae9cd164-d356-4777-b8c9-d9803253ad89"/>
				<subreportParameter name="Zebra">
					<subreportParameterExpression><![CDATA[$V{Zebra}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$F{SubreportRollen}]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File(com.lp.util.HelperReport.getSubreportPath($P{P_MODUL}, "pers_rollenundrechte_detail", $P{MANDANT_C_NR},  $P{REPORT_LOCALE}, $P{P_SUBDIRECTORY}) ).toURL()]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<summary>
		<band height="33" splitType="Stretch">
			<break>
				<reportElement x="0" y="0" width="756" height="1" uuid="e6ff35fe-ebd7-4875-bbb5-d2800adeb84b"/>
			</break>
			<subreport isUsingCache="true">
				<reportElement key="Subreport_Benutzermandant" positionType="Float" x="0" y="1" width="756" height="10" isRemoveLineWhenBlank="true" uuid="74c901ba-67f8-4288-8d32-7d7a882a3b9f">
					<property name="com.jaspersoft.studio.element.name" value="Subreport_Benutzermandant"/>
				</reportElement>
				<subreportParameter name="REPORT_INFORMATION">
					<subreportParameterExpression><![CDATA[$P{REPORT_INFORMATION}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{P_SUBREPORT_BENUTZERMANDANTSYSTEMROLLE}]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File(com.lp.util.HelperReport.getSubreportPath($P{P_MODUL}, "pers_rollenundrechte_benutzermandant", $P{MANDANT_C_NR},  $P{REPORT_LOCALE}, $P{P_SUBDIRECTORY}) ).toURL()]]></subreportExpression>
			</subreport>
			<break>
				<reportElement x="0" y="11" width="756" height="1" uuid="6feaa586-d4e7-4204-be2e-56d4288cd733"/>
			</break>
			<subreport>
				<reportElement key="Subreport_Terminals" positionType="Float" x="0" y="12" width="756" height="10" isRemoveLineWhenBlank="true" uuid="b69ece87-0b56-4833-881d-0afcfc593680">
					<property name="com.jaspersoft.studio.element.name" value="Subreport_Terminals"/>
				</reportElement>
				<subreportParameter name="REPORT_INFORMATION">
					<subreportParameterExpression><![CDATA[$P{REPORT_INFORMATION}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_SQLEXEC">
					<subreportParameterExpression><![CDATA[$P{P_SQLEXEC}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_MANDANT_OBJ">
					<subreportParameterExpression><![CDATA[$P{P_MANDANT_OBJ}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport( "select * from LP_ARBEITSPLATZ order by C_TYP;",
	new String[] {"i_id", "c_standort", "c_bemerkung", "c_pcname", "c_typ", "c_geraetecode", "o_hash", "o_code"}
)]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File(com.lp.util.HelperReport.getSubreportPath($P{P_MODUL}, "pers_rollenundrechte_terminals", $P{MANDANT_C_NR},  $P{REPORT_LOCALE}, $P{P_SUBDIRECTORY}) ).toURL()]]></subreportExpression>
			</subreport>
			<break>
				<reportElement x="0" y="22" width="756" height="1" uuid="6b534e78-dcf1-43fa-b41e-2401c019bf82"/>
			</break>
			<subreport>
				<reportElement key="Subreport_Modul+Zusatzfunktionsberechtigungen" x="0" y="23" width="756" height="10" uuid="3bd172c8-4a9f-4be5-9e85-5a6b3156abcd">
					<property name="com.jaspersoft.studio.element.name" value="Subreport_Modul+Zusatzfunktionsberechtigungen"/>
				</reportElement>
				<subreportParameter name="REPORT_INFORMATION">
					<subreportParameterExpression><![CDATA[$P{REPORT_INFORMATION}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_SQLEXEC">
					<subreportParameterExpression><![CDATA[$P{P_SQLEXEC}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_MANDANT_OBJ">
					<subreportParameterExpression><![CDATA[$P{P_MANDANT_OBJ}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(
new ArrayList(Arrays.asList(
new java.lang.Object[] { "B", "", "Warenwirtschaft", "",""},
new java.lang.Object[] { "M", "Artikel", "Artikel", "nut_and_bolt.png","Artikelverwaltung\nBezeichnung, Verkaufspreise inkl. Staffeln, Einkaufspreise, Lager, Langbeschreibungen, Bilder, Statistik, Zukunft, ...." },
new java.lang.Object[] { "Z", "ARTIKELFREIGABE", "Artikel Freigabe", "","Artikelfreigabeverwaltung mit Rechten"},
new java.lang.Object[] { "Z", "CHARGENNUMMERN", "Chargennummern", "","Chargennummernverwaltung mit Versionen, wird auch für die ReelID verwendet "},
new java.lang.Object[] { "Z", "DUAL_USE", "DUAL_USE", "","Kennzeichnung von Artikeln die dem DualUse unterliegen. Andruck in Stückliste, Angebotsvorklakluation "},
new java.lang.Object[] { "Z", "EINKAUFS_EAN", "EINKAUFS_EAN", "","Übersetzung von Gebinde-EAN Nummern auf Artikelnummern mit Menge"},
new java.lang.Object[] { "Z", "GETRENNTE_LAGER", "GETRENNTE_LAGER", "","bei zentralem Artikelstamm trotzdem getrennte Lager je Mandant"},
new java.lang.Object[] { "Z", "HERSTELLERKOPPLUNG", "HERSTELLERKOPPLUNG", "","Artikelnummern um Hersteller-Kurz-Kennung erweitern"},
new java.lang.Object[] { "Z", "LAGERCOCKPIT", "LAGERCOCKPIT", "","Buchen des Wareneingangs auf ein Zwischenlager und von da dann weiter in die verschiedensten Bereiche. Kann durch gute Lagerorganisation hintangestellt werden."},
new java.lang.Object[] { "Z", "MATERIALZUSCHLAG", "MATERIALZUSCHLAG", "","Materialzuschlag am einzelnen Artikel als Kurs z.B. laut LME"},
new java.lang.Object[] { "Z", "MEHRFACH_LAGERPLATZ_JE_LAGER", "MEHRFACH_LAGERPLATZ_JE_LAGER", "","mehrere Lagerplätze je Artikel und Lager angebbar"},
new java.lang.Object[] { "Z", "MEHRLAGERVERWALTUNG", "MEHRLAGERVERWALTUNG", "","Verwaltung mehrerer Lager(stände) auf einem Artikel. ACHTUNG: je weniger Lager desto transparenter und einfacher die gesamte Lagerwirtschaft"},
new java.lang.Object[] { "Z", "RAHMENDETAILBEDARFE", "RAHMENDETAILBEDARFE", "","Ermittlung des theoretischen Materialbedarfs anhand offener Kunden-Rahmenaufträge als Automatikjob"},
new java.lang.Object[] { "Z", "RANKINGLISTE", "RANKINGLISTE", "","tbd"},
new java.lang.Object[] { "Z", "SERIENNUMMERN", "Seriennummern", "","Seriennummernverwaltung mit Version z.B. für Softwareversion des gelieferten Gerätes"},
new java.lang.Object[] { "Z", "SI_WERT", "SI_WERT", "","Sortierung der Artikel auch nach den wissenschaftlichen Einheiten (10.000pF = 10nF)"},
new java.lang.Object[] { "Z", "WAFFENREGISTER", "WAFFENREGISTER", "","Übergabe der Seriennummern -> nicht fertiggestellt. Schnittstelle sehr komplex, weil langsam (Stunden/Tage)"},
new java.lang.Object[] { "Z", "ZENTRALER_ARTIKELSTAMM", "ZENTRALER_ARTIKELSTAMM", "","Bei Mehrmandanten trotzdem den Artikelstamm zentral verwalten"},
new java.lang.Object[] { "M", "Stueckliste", "Stückliste", "text_code_colored.png","hierarchische Stücklisten mit Arbeitsplänen und Hilfsstücklisten"},
new java.lang.Object[] { "Z", "ERSATZTYPENVERWALTUNG", "Ersatztypenverwaltung", "","Ersatztypenverwaltung auf Stücklistenpositionen bis in die Losverwaltung"},
new java.lang.Object[] { "Z", "INTELLIGENTER STKL.IMPORT", "INTELLIGENTER STKL.IMPORT", "","(Kunden)-Stücklisten aus CSV, XLS usw importieren und Importvorlagen ablegen"},
new java.lang.Object[] { "Z", "PRUEFPLAN1", "PRUEFPLAN1", "","Prüfplan auf der Stückliste(nposition) inbesondere Elektrotechnik"},
new java.lang.Object[] { "Z", "SETARTIKEL", "SETARTIKEL", "","Ein- und Verkaufsset als Vorschlag mit Änderungsmöglichkeit bei Erhalt der Seteigenschaft im Beleg"},
new java.lang.Object[] { "Z", "STUECKLISTE_ARBEITSPLAN", "Arbeitsplan der Stückliste", "","Arbeitsplan als weitere Ebene der Stückliste mit Stück- und Rüstzeiten, Maschinen, Initialkosten"},
new java.lang.Object[] { "Z", "STUECKLISTE_MIT_FORMELN", "Stückliste mit Formeln", "","automatische Errechnung von ganzen LKW-Aufbauten anhand weniger Parameter mit Hilfe frei definierbarer Formelsätze. Java Kenntnisse von Vorteil."},
new java.lang.Object[] { "Z", "STUECKLISTENFREIGABE", "Stücklisten Freigabe", "","Ergänzend zur Artikelfreigabe auch die Freigabe von Stücklisten mit entsprechenden Rücknahme-Rechten"},

new java.lang.Object[] { "B", "", "Einkauf", "",""},
new java.lang.Object[] { "M", "Lieferant", "Lieferant", "address_book2.png","Lieferantenverwaltung, Artikel des Lieferanten, Importe, Kurzbriefe"},
new java.lang.Object[] { "M", "Anfrage", "Anfrage", "","Anfragen, Gruppenanfragen, Liefergruppenauswertungen, Anfragevorschlag"},
new java.lang.Object[] { "M", "Bestellung", "Bestellung", "shoppingcart_full.png","Bestellung, Wareneingänge, Rahmen- und Abrufbestellungen"},
new java.lang.Object[] { "Z", "INTELL. BESTELLUNGSIMPORT", "INTELL. BESTELLUNGSIMPORT", "","Bestellungen aus CSV, XLS usw importieren und Importvorlagen ablegen"},
new java.lang.Object[] { "Z", "KUNDE_JE_BESTELLPOSITION", "KUNDE_JE_BESTELLPOSITION", "","Angabe für welchen Kunden welche Bestellpositione ist, zuer Erleichterung der ER-Kontierung"},
new java.lang.Object[] { "Z", "RESERVIERUNGEN_AUFLOESEN", "Reservierungen Auflösen", "","Beim Wareneingang nicht nur die Fehlmengen sondern auch die offenen (Auftrags-)Reservierungen auflösen und sofort daraus Lieferscheine erzeugen"},
new java.lang.Object[] { "M", "Eingangsrechng", "Eingangsrechnung", "hand_money.png","Eingangsrechnung mit Kontierung und Zahlungsverwaltung"},
new java.lang.Object[] { "Z", "ER_ZUSATZKOSTEN", "ER-Zusatzkosten", "","wiederholende Eingangsrechnungen (unterer Reiter Zusatzkosten)"},
/*new java.lang.Object[] { "M", "Zusatzkosten", "Zusatzkosten", "","wiederholende Eingangsrechnungen"}, 2024-02-23wh gibts zwar, Wirkung ?*/
new java.lang.Object[] { "Z", "4VENDING", "4VENDING", "","Anbindung an 4Vending (https://www.vendidata.com/)"},

new java.lang.Object[] { "B", "", "Fertigung", "",""},
new java.lang.Object[] { "M", "Los", "Los", "factory.png","Fertigungsauftragsverwaltung"},
new java.lang.Object[] { "Z", "GERAETESERIENNUMMERN", "Geräte Seriennummern", "","Unterseriennummern von Geräten verwalten"},
new java.lang.Object[] { "Z", "KAPAZITAETSVORSCHAU", "Kapazitätsvorschau", "","im Los integrierte Kapazitätsvorschau, funktioniert nicht"},
new java.lang.Object[] { "Z", "LAGERPLATZ_IM_LOS", "Lagerplatz im Los", "","Angabe des Zwischen-Lagerplatzes je Los während der Produktion"},
new java.lang.Object[] { "Z", "STUECKRUECKMELDUNG", "Stückrückmeldung", "","Rückmeldung der gefertigten Stückzahlen am einzelnen Arbeitsgang"},
new java.lang.Object[] { "Z", "TOPS_ANBINDUNG", "TOPS_ANBINDUNG", "","Teilmodul zu Trump, Verbuchung von gelaserten Teile per Barcode. ACHTUNG Zusatzmodul TruTopsImport steht aktuell nicht zur Verfügung"},
new java.lang.Object[] { "Z", "TRUTOPS_BOOST", "TRUTOPS_BOOST", "","Erweiterung zur bidirectionalen Anbindung von Trumpf Lasermaschinen. ACHTUNG: der eigentliche Microservice steht aktuell nicht zur Verfügung"},
new java.lang.Object[] { "Z", "PRODUKTIONSVORSCHLAG", "Planungsvorschlag", "","Maschinenarbeitsgänge in ihrer Reihenfolge nach Maschinenzeitmodellen automatische einreihen"},
new java.lang.Object[] { "M", "Kueche", "Küche", "office-building.png","Küche mit Speiseplan und Küchen-Erfolg, sowie Kassenanbindung"},
new java.lang.Object[] { "M", "Reklamation", "Reklamation", "exchange.png","Reklamtionsverwaltung mit Fehlerangaben, 8D-Report, zahlreiche Auswertungen"},
new java.lang.Object[] { "Z", "LIEFERANTENBEURTEILUNG", "Lieferanten Beurteilung", "","Beurteilung der Lieferanten nach ISO9000. Termintreue, Qualität, Reklamationsbehandlung"},
new java.lang.Object[] { "M", "Instandhaltung", "Instandhaltung", "houses.png","Geräte, Maschinen in Hallen und Gebäuden verwalten -> muss noch vervollständigt werden"},
new java.lang.Object[] { "M", "Zeiterfassung", "Zeiterfassung", "clock.png","Mitarbeiter:innen und Maschinen Zeitverwaltung, Sonderzeiten (Krank, Urlaub, ...), Monatsabrechnung, "},
new java.lang.Object[] { "Z", "LOHNDATENEXPORT", "Lohndaten Export", "","Export der Buchungen der Anwesenheitszeiten nach Lohnarten in verschiedenen Formaten"},
new java.lang.Object[] { "Z", "MASCHINENZEITERFASSUNG", "Maschinenzeiterfassung", "","Erfassung der Zeiten auf Maschinen, damit auch Mehrmaschinenbedienung"},
new java.lang.Object[] { "Z", "REISEZEITEN", "REISEZEITEN", "","Erfassung von Reisezeiten (derzeit nach AT). Diäten, Aufträge, Kunden, geht in die Nachkalkulation ein, Reisezeit- und Kilometerabrechnung"},
new java.lang.Object[] { "Z", "STIFTZEITERFASSUNG", "STIFTZEITERFASSUNG", "","Zuordnung der Zeiterfassungsstifte zu Personen. Derzeit nicht möglich, da Stifte nicht mehr lieferbar"},
new java.lang.Object[] { "Z", "TELEFONZEITERFASSUNG", "TELEFONZEITERFASSUNG", "","Erfassung der Zeit die man telefoniert als Unterbrechung des Projektes an dem gerade gearbeitet wird."},
new java.lang.Object[] { "Z", "ZEITEN_ABSCHLIESSEN", "Zeiten Abschließen", "","Zeitbuchungen bis zu einem gewissen Zeitpunkt als abgeschlossen = nicht mehr veränderbar, kennzeichnen"},
new java.lang.Object[] { "M", "Personal", "Personal", "worker.png","Personalverwaltung, Zeitmodelle, Kollektiv/Tarif-Verträge, Schitzeiten, Bereitschaft"},
new java.lang.Object[] { "Z", "BEREITSCHAFT", "BEREITSCHAFT", "","Bereitschaftsverwaltung mit unterschiedlichen Sätzen je nach nur Bereitschaftsdienst oder echt im Einsatz"},
new java.lang.Object[] { "Z", "FINGERPRINT", "FINGERPRINT", "","Zutritt über Fingermodule (im Endeffekt nie im Einsatz)"},

new java.lang.Object[] { "B", "", "Verkauf", "",""},
new java.lang.Object[] { "M", "Kunde", "Kunde", "handshake.png","Kundenverwaltung, Liefer- und Rechnungsadressen, Sonderkonditionen, Kommentare, Kurzbriefe, Statistiken"},
new java.lang.Object[] { "Z", "KUNDESONDERKONDITIONEN", "Kunden-Sonderkonditionen (SoKo)", "","neben den bis zu 10 Preislisten des Artikels weitere Preisvereinbarungen für Artikelgruppen oder Artikel je Kunde mit Mengenstaffeln. Zusätzlich Kundenartikelnummern je Artikel und Kunde verwalten"},
new java.lang.Object[] { "Z", "METALLNOTIERUNG_DETAILLIERT", "METALLNOTIERUNG_DETAILLIERT", "","tbd"},
new java.lang.Object[] { "M", "Projekt", "Projekt", "briefcase2_document.png","Projekte für Tracking, Salestasks, Verkaufstrichter, die Vertriebsebene vor dem Angebot, CRM"},
new java.lang.Object[] { "Z", "PROJEKTKLAMMER", "PROJEKTKLAMMER", "","Generelle Klammer über Angebote, Aufträge und damit bis zum Los und zur Rechnung. Gesamte umfassende Nachkalkulation"},
new java.lang.Object[] { "Z", "PROJEKTZEITERFASSUNG", "PROJEKTZEITERFASSUNG", "","Mitarbeiter:innen Zeiten auf Projekten"},
new java.lang.Object[] { "Z", "UNTERPROJEKTE", "UNTERPROJEKTE", "","Projekte haben mehrere Väter und mehrere Kinder und können so zu einer großen Gesamtbetrachtung zusammengefasst werden. Läuft von der Denke her derzeit parallel zur Projektklammer"},
new java.lang.Object[] { "M", "AGStueckliste", "Angebots-Stückliste", "note_add.png","Angebotsstückliste"},
new java.lang.Object[] { "Z", "AGSTKL_ARBEITSPLAN", "Arbeitsplan in der Angebotsstückliste", "","Arbeitsplan in der Angebotsstückliste"},
new java.lang.Object[] { "M", "Einkaufsangebot", "Einkaufsangebot", "","Einkaufsangebotsstücklisten mit 5-Staffelmengen"},
new java.lang.Object[] { "Z", "EINKAUFSANGEBOT", "Einkaufsangebot", "","Einkaufsangebotsstückliste"},
new java.lang.Object[] { "Z", "INTELL. EINKAUFSAGSTKLIMPORT", "INTELL. EINKAUFSAGSTKLIMPORT", "","(Kunden)-Stücklisten aus CSV, XLS usw importieren und Importvorlagen ablegen"},
new java.lang.Object[] { "Z", "EK_ANGEBOT_ANFRAGE", "EK_ANGEBOT_ANFRAGE", "","Erweiterung Einkaufsangebotsstückliste zur komfortablen XLS Angebotslegung in Abstimmung mit den Lieferanten"},
new java.lang.Object[] { "Z", "WEB_BAUTEIL_ANFRAGE", "WEB_BAUTEIL_ANFRAGE", "","Findchips Abfrage, Dienst steht nicht mehr zur Verfügung -> Siehe Lumiquote"},
new java.lang.Object[] { "M", "Angebot", "Angebot", "presentation_chart.png","Angebot, Angebotsvorkalkulation"},
new java.lang.Object[] { "Z", "ANGEBOTSZEITERFASSUNG", "ANGEBOTSZEITERFASSUNG", "","Mitarbeiter:innen Zeiten auf Angebote erfassen und in den Auftrag übernehmen"},
new java.lang.Object[] { "Z", "MV_AG_SCHNELLERFASSUNG", "Ang-Stkl-Schnellerfassung", "","Angebotsstücklisten Schnellerfassung für die Metallverarbeitung"},
new java.lang.Object[] { "M", "Inserat", "Inserat", "news.png","Inseratenverwaltung, eine umfassende Klammer über die Module Auftrag, Bestellung, Rechnung"},
new java.lang.Object[] { "M", "Forecast", "Forecast", "document_chart.png","Forecast mit zahlreichen Importen, Monatsbedarfe bis Linienabrufe"},
new java.lang.Object[] { "Z", "FORECAST AUFTRAG VERTEILUNG", "FORECAST AUFTRAG VERTEILUNG", "","Buchen der zu liefernden Mengen in Lieferschein. Dein ERP sucht sich automatisch den ältesten zu liefernden Auftrag / Forecastauftrag"},
new java.lang.Object[] { "M", "Auftrag", "Auftrag", "auftrag.png","Auftrag, Rahmen- und Abrufauftrag"},
new java.lang.Object[] { "Z", "AUFTRAG_MIT_EINKAUFPREIS", "AUFTRAG_MIT_EINKAUFPREIS", "","Auftrags-DB-Berechnung anhand des manuell eingegeben geplanten Einkaufspreises"},
new java.lang.Object[] { "Z", "AUFTRAG_RECHNUNG", "AUFTRAG_RECHNUNG", "","Auftragspoistionen auch in der Rechnung verwenden"},
new java.lang.Object[] { "Z", "AUFTRAG_SCHNELLANLAGE", "AUFTRAG_SCHNELLANLAGE", "","Auftragsnlage mit Artikelerzeugung anhand Vorlagen anhand Artikelgruppe"},
new java.lang.Object[] { "Z", "AUFTRAGTERMIN_STUNDEN_MINUTEN", "AUFTRAGTERMIN_STUNDEN_MINUTEN", "","Reservierungstermin anstatt Tagesbasis auf Stundenbasis (Küche)"},
new java.lang.Object[] { "Z", "AUFTRAGUNTERKOSTENSTELLEN", "AUFTRAGUNTERKOSTENSTELLEN", "","Unterkostenstellen für Spezialauswertungen"},
new java.lang.Object[] { "Z", "ERWEITERTE_PROJEKTSTEUERUNG", "ERWEITERTE_PROJEKTSTEUERUNG", "","Aufträge mit Zeitplan und Meilensteinen, sowie Liqiditätsvorschau am Auftrag und Wirkung in der Gesamt Liquiditätsvorschau"},
new java.lang.Object[] { "Z", "KLEINE_PROJEKTSTEUERUNG", "KLEINE_PROJEKTSTEUERUNG", "","tbd"},
new java.lang.Object[] { "Z", "VERLEIH", "VERLEIH", "","Verleihverwaltung, als Geräte mit Mietstaffeln verleihen inkl. geplanter Rückgabe (siehe auch Auftragstermin Stunden-Minuten)"},
new java.lang.Object[] { "Z", "VERSANDWEG", "VERSANDWEG", "","Definition der Versandwege für CleverCure und weitere EDI Anbindungen"},
new java.lang.Object[] { "Z", "ZERTIFIKATART", "ZERTIFIKATART", "","tbd"},
new java.lang.Object[] { "Z", "ZUSAMMENGEHOERIGE_ARTIKEL", "zusammengehörige Artikel", "","Erinnerungsfunktion um in ABs entsprechende Erfassungssicherheit für Artikelsets zu erreichen (Wenn Artikel A muss zumindest A.2 auch dabei sein)"},
new java.lang.Object[] { "M", "Lieferschein", "Lieferschein", "","Lieferschein an Kunden, Lieferante, Auftragsbezogene Lieferscheine"},
new java.lang.Object[] { "Z", "AUSLIEFERVORSCHLAG", "AUSLIEFERVORSCHLAG", "","auszuliefernde Artikel anhand offenen Auftragspositionen und Lieferterminen und direkte Überleitung in Lieferscheine"},
new java.lang.Object[] { "Z", "LIEFERSCHEINE_VERKETTEN", "LIEFERSCHEINE_VERKETTEN", "","Zusammenhängen mehrere Lieferscheine zu einem Dokument"},
new java.lang.Object[] { "Z", "POST_PLC_VERSAND", "POST_PLC_VERSAND", "","Übergabe der Lieferscheindaten an die österreichische Post"},
new java.lang.Object[] { "Z", "SAMMELLIEFERSCHEIN", "SAMMELLIEFERSCHEIN", "","Die Positionen mehrere Aufträge mit einem Lieferschein ausliefern"},
new java.lang.Object[] { "M", "Rechnung", "Rechnung", "calculator.png","Rechnung mit Anzahlungs- und Schlussrechnung, mit oder ohne Auftragsbezug"},
new java.lang.Object[] { "Z", "ABRECHNUNGSVORSCHLAG", "ABRECHNUNGSVORSCHLAG", "","halbautomatische Verrechnung der auf Aufträge geleisteten Arbeitszeiten, mit Berücksichtigung der kalkulatorischen Artikel"},
new java.lang.Object[] { "Z", "ZUGFERD", "ZUGFERD", "","Übergabe des Ausgangsrechnungs-PDF mit integriertem XML zur einfachen Verarbeitung beim Rechnungsempfänger"},
new java.lang.Object[] { "M", "Gutschrift", "Gutschrift", "","Gutschrift zur Ausgangsrechnung mit Zahlungsmodul"},
new java.lang.Object[] { "Z", "KOSTENTRAEGER", "KOSTENTRAEGER", "","Zuordnung von Verkaufspositionen zu verschiedenen Kostenträgern, zur Erfolgsmessung der 'Abteilungen'"},

new java.lang.Object[] { "B", "", "Management", "",""},
new java.lang.Object[] { "M", "Zutritt", "Zutritt", "id_card.png","umfassende Zutrittsverwaltung (Hardware steht nicht mehr zur Verfügung)"},
new java.lang.Object[] { "M", "Finanzbuchhaltg", "Finanzbuchhaltg", "books.png","integrierte Finanzbuchhaltung, frei definierbarer Kontenrahmen, UVA, G+V, SuSa"},
new java.lang.Object[] { "Z", "INTRASTAT", "INTRASTAT", "","Intrastatmeldung abgeben, auf Basis KN8"},
new java.lang.Object[] { "Z", "ISTVERSTEURER", "ISTVERSTEURER", "","Einnahmen- / Ausgabenrechner in der Fibu"},
new java.lang.Object[] { "Z", "LIQUIDITAETSVORSCHAU", "LIQUIDITAETSVORSCHAU", "","Entwicklung der Unternehmensliqidität auf Basis offenen ER/AR, Zahlungsmoral, inkl. Abgabe, inkl. AB/BS bzw. AG. Heute den Kontostand bis in 20Wochen wissen."},
new java.lang.Object[] { "Z", "MISCHVERSTEURER", "MISCHVERSTEURER", "","Sondervariante ER nach Soll, Zahlungseingang nach Ist"},
new java.lang.Object[] { "Z", "SEPA", "SEPA", "","SEPA CAMT.053, CAMT 0.54 Importieren und Zahlungsvorschläge exportieren"},
new java.lang.Object[] { "Z", "SEPA_LASTSCHRIFT", "SEPA_LASTSCHRIFT", "","Lastschriftmandat Elektronisch übermitteln"},
new java.lang.Object[] { "Z", "ZAHLUNGSVORSCHLAG", "ZAHLUNGSVORSCHLAG", "","Zahlungsvorschlag errechnen inkl. Skontoberücksichtigung und SEPA-Überleitung (wenn SEPA)"},
new java.lang.Object[] { "M", "Cockpit", "Cockpit", "","Kunden-Cockpit\nKomfortable Übersicht über die Kunden, Kontakt- bzw. Todo-Liste, goto Projekt / Klammer"},
new java.lang.Object[] { "M", "Dashboard", "Dashboard", "gauge.png","Eine Sammlung von anwenderspezifischen Auswertungen, immer speziell angepasst"},

new java.lang.Object[] { "B", "", "Extras", "",""},
new java.lang.Object[] { "M", "Partner", "Partner", "businessmen.png","Partner und Bankverwaltung, Serienbriefe inkl. Massen-EMails"},
new java.lang.Object[] { "Z", "DSGVO", "DSGVO", "","Auswertung der Kontakte / Belege einzelner Partner mit Beauskunftung"},
new java.lang.Object[] { "Z", "KONTAKTMANAGEMENT", "KONTAKTMANAGEMENT", "","Verwaltung von Kontakten also Gesprächen, Telefonaten, mit Wiedervorlagen"},
new java.lang.Object[] { "Z", "TAPISERVICE", "TAPISERVICE", "","Anbindung Tapi-Telefonie ausgehen. Aufruf verschiedener exe / http Calls mit Übergabe der gewünschten Nummer"},
new java.lang.Object[] { "M", "Benutzer", "Benutzer", "user1_monitor.png","Benutzerverwaltung mit Rollen und Rechten"},
new java.lang.Object[] { "M", "System", "System", "toolbox.png","Allgemeines System-Parametrierungsmodul"},
new java.lang.Object[] { "Z", "DOKUMENTENABLAGE", "DOKUMENTENABLAGE", "","Nutzung der integrierten Dokumentenablage"},
new java.lang.Object[] { "Z", "EMAIL_CLIENT", "EMAIL_CLIENT", "","HTML Versand mit verlinkten Bildern / Logos"},
new java.lang.Object[] { "Z", "EMAILVERSAND", "EMAILVERSAND", "","integrierter SMTP Versand mit IMAP Ablage"},
new java.lang.Object[] { "Z", "FAXVERSAND", "FAXVERSAND", "","integrierter Faxversand an einen Fax-Gateway"},
new java.lang.Object[] { "Z", "INTERNER_VERSAND", "INTERNER_VERSAND", "","automatischer Versanddienst mit Zeitversatz"},
new java.lang.Object[] { "Z", "KOSTENSTELLEN", "KOSTENSTELLEN", "","Trennung des Unternehmens in Profitcenter, unterschiedliche Briefpapiere je Kostenstelle möglich"},
new java.lang.Object[] { "Z", "MEHRSPRACHIGKEIT", "MEHRSPRACHIGKEIT", "","Mehrsprachigkeit in Daten und Client-Oberfläche. (DE, AT, CH, EN, PL) weitere jederzeit hinzufügbar"},
new java.lang.Object[] { "M", "Email", "Email", "","EMail Empfangsclient mit Zuordnung zu Projekt und Kunde. Nicht vernünftig funktionsfähig"},
new java.lang.Object[] { "M", "Nachrichten", "Nachrichten", "messages.png","Informationssystem innerhalb deines Kieselstein-ERP"},
new java.lang.Object[] { "M", "Geodatenanzeige", "Geodatenanzeige", "dot-chart.png","Anzeige der Lokation der Partner mit Google API"},

new java.lang.Object[] { "B", "", "steht aktuell nicht zur Verfügung", "",""},
new java.lang.Object[] { "Z", "HVMA_ZEITERFASSUNG", "HVMA_ZEITERFASSUNG", "","tbd"},
new java.lang.Object[] { "Z", "HVMA2", "HVMA2", "","tbd"},
new java.lang.Object[] { "Z", "HYDRA", "HYDRA", "","tbd"},

new java.lang.Object[] { "B", "", "noch einzuordnen", "",""},
new java.lang.Object[] { "Z", "ALTERNATIV_MASCHINEN", "ALTERNATIV_MASCHINEN", "","Alternative Maschinen für das Erfassungsterminal (steht nicht zur Verfügung) definieren"},
new java.lang.Object[] { "Z", "DEBUGMODUS", "DEBUGMODUS", "","Spezialmodus für die Entwicklung"},
new java.lang.Object[] { "Z", "WEBSERVICE", "WEBSERVICE", "","tbd"}
) )	 ,
new String[] {"Art", "Berechtigung", "Titel", "Icon", "Beschreibung" })
/*
Liste der Module Subreportaufruf wie BelegKopf.... von mir
  Titel, Icon(kann ""), SMZ, Berechtigung, Bezeichnung, Beschreibung
	S ... Systemdaten wie Mandanten, Benutzeranzahl, Personalanzahlm Laufzeiten (beide) und auch Hinweis: da fehlen noch die Rechte
    B ... Bereich
	M ... Modulberechtigung
	Z ... Zusatzfunktionsberechtigung
	ICON .. das Bild, der PNG Name z.B. nutsandbolts.png welche unter Unterverzeichnis icons liegen
  Reihenfolge wie die Hauptmenüleiste und die Icons auch so / daraus angeordnet

  und die Postgresversion andrucken über den Selekt aus einer der Postgres-Installations Beschreibungen
  mit andrucken
  Die Systemdaten sind eigentlich ein Job für den Title, solange das nicht zu viel wird (mehr wie 20Mandanten usw.)
*/]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File(com.lp.util.HelperReport.getSubreportPath($P{P_MODUL}, "pers_rollenundrechte_module", $P{MANDANT_C_NR},  $P{REPORT_LOCALE}, $P{P_SUBDIRECTORY}) ).toURL()]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
